package org.example;

import com.google.gson.JsonArray;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) {
        /*String response = get("https://www.boredapi.com/api/activity");
        System.out.println(response);*/
        get2("https://www.themealdb.com/api/json/v1/1/search.php?s=pizza");
    }
    public static void get2(String uri){
        String response = get(uri);
        JsonObject jsonObject = JsonParser.parseString(response).getAsJsonObject();
        //System.out.println(jsonObject.get("meals"));
        if(jsonObject.get("meals").isJsonArray()){
            JsonArray jsonArray = jsonObject.get("meals").getAsJsonArray();
            if (jsonArray.get(0).isJsonObject()){
                JsonObject jsonObject2 = jsonArray.get(0).getAsJsonObject();
                System.out.println(jsonObject2.get("strInstructions").getAsString());
            }
        }
    }
    public static String get(String uri){
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(uri))
                .build();
        try {
            HttpResponse<String> response =
                    client.send(request,HttpResponse.BodyHandlers.ofString());
            return response.body();
        } catch (IOException | InterruptedException e) {
            throw new RuntimeException(e);
        }
    }
}